Bug 836745 - SELinux is preventing /usr/lib/systemd/systemd-logind from read, write access on the chr_file event0.
SELinux is preventing /usr/lib/systemd/systemd-logind from read, write access...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-30 15:34 EDT by Stef Walter
Modified: 2012-07-17 13:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-17 13:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-06-30 15:34:30 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           Sat 30 Jun 2012 09:34:17 PM CEST

:SELinux is preventing /usr/lib/systemd/systemd-logind from read, write access on the chr_file event0.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that systemd-logind should be allowed read write access on the event0 chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:object_r:event_device_t:s0
:Target Objects                event0 [ chr_file ]
:Source                        systemd-logind
:Source Path                   /usr/lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-185-6.gite7aee75.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.4-5.fc17.x86_64 #1 SMP Mon May 7 17:29:34 UTC
:                              2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Fri 29 Jun 2012 08:31:09 AM CEST
:Last Seen                     Sat 30 Jun 2012 07:52:45 AM CEST
:Local ID                      60918612-96bf-454f-a132-e70034fbc61f
:Raw Audit Messages
:type=AVC msg=audit(1341035565.62:21): avc:  denied  { read write } for  pid=615 comm="systemd-logind" name="event0" dev="devtmpfs" ino=1161 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:event_device_t:s0 tclass=chr_file
:type=SYSCALL msg=audit(1341035565.62:21): arch=x86_64 syscall=open success=no exit=EACCES a0=1c76050 a1=80902 a2=6e657665 a3=2 items=0 ppid=1 pid=615 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/usr/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:Hash: systemd-logind,systemd_logind_t,event_device_t,chr_file,read,write
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-07-01 17:40:42 EDT
Fixed in selinux-policy-3.10.0-137.fc17
Comment 2 Fedora Update System 2012-07-04 02:41:35 EDT
selinux-policy-3.10.0-137.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-07-05 19:36:38 EDT
Package selinux-policy-3.10.0-137.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-137.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-17 13:27:50 EDT
selinux-policy-3.10.0-137.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.